## h5sparse 0.1.0

=== requirements.txt ===
six
h5py
numpy
scipy

pylint
tox
flake8
nose
coverage

=== debian/changelog ===
h5sparse (0.1.0-2) unstable; urgency=medium

  * Source-only-upload.

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 20 Oct 2020 20:36:34 +0530

h5sparse (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #969423)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 02 Sep 2020 17:20:46 +0530

=== debian/control ===
Source: h5sparse
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <npatra974@gmail.com>
Build-Depends: debhelper-compat (= 13), python3-all, dh-python, python3-setuptools, python3-nose, python3-six, python3-numpy, python3-scipy, python3-h5py
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/med-team/h5sparse
Vcs-Git: https://salsa.debian.org/med-team/h5sparse.git
Homepage: https://github.com/appier/h5sparse
Rules-Requires-Root: no

Package: python3-h5sparse
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Scipy sparse matrix in HDF5
 h5sparse is a Python library which helps
 create scipy sparse matrix in HDF5.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

### If you **really** can not use uscan (even not with mode=git) use a debian/get-orig-script
#get-orig-source:
#	. debian/get-orig-source

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/appier/h5sparse/releases .*/archive/v?@ANY_VERSION@\.tar\.gz
